var SV = window.SV || {};
SV.AdvancedBBCode = SV.AdvancedBBCode || {};
SV.AdvancedBBCode.EditorButtons = SV.AdvancedBBCode.EditorButtons || {};
SV.AdvancedBBCode.EditorFirstStart = SV.AdvancedBBCode.EditorFirstStart || [];

(/** @param {jQuery} $ jQuery Object */ function ($, window, document, _undefined) {
    "use strict";

    SV.AdvancedBBCode.EditorButtons.setupShimQuote = function(cmd) {
        cmd.callback = function () {
            var ed = this;
            ed.selection.save();
            ed.undo.saveStep();

            var html = ed.html.getSelected();
            ed.html.insert('<p>[QUOTE]</p>' + html + '<p>[/QUOTE]</p><p><br></p>');

            ed.selection.restore();
            ed.placeholder.hide();
            ed.undo.saveStep();

            XF.EditorHelpers.normalizeAfterInsert(ed);
        };
    };

    SV.AdvancedBBCode.EditorFirstStart.push(function(editorConfig) {
        if ($.FE.COMMANDS['xfQuote'] && editorConfig.pasteQuotesAsBbCode) {
            SV.AdvancedBBCode.EditorButtons.setupShimQuote($.FE.COMMANDS['xfQuote']);
        }
    });

})(jQuery, window, document);
