<?php

namespace SV\AdvancedBbCodesPack\Repository;

use XF\Mvc\Entity\Repository;

class BbCode extends Repository
{
    public static function get(): self
    {
        /** @noinspection PhpIncompatibleReturnTypeInspection */
        return \XF::repository('SV\AdvancedBbCodesPack:BbCode');
    }

    public function isStockHeadingEnabled(): bool
    {
        $custom = $this->app()->bbCode()->container('custom');

        return !(isset($custom['h1']) || isset($custom['h2']) || isset($custom['h3']) || isset($custom['h4']));
    }

    public function isStockHrEnabled(): bool
    {
        $custom = $this->app()->bbCode()->container('custom');

        return !isset($custom['hr']);
    }
}