<?php

namespace SV\AdvancedBbCodesPack\XF\BbCode\ProcessorAction;



/**
 * @Extends \XF\BbCode\ProcessorAction\AnalyzeUsage
 */
class AnalyzeUsage extends XFCP_AnalyzeUsage
{
    public function getTagCount($tag)
    {
        if ($tag === 'img')
        {
            // ensure bimg tag is treated as if it was an image tag
            return parent::getTagCount('img') + parent::getTagCount('bimg');
        }

        return parent::getTagCount($tag);
    }
}